#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

Name:          cunit
Version:       2.1.2
Release:       2.1
Summary:       It provides C programmers a basic testing functionality
Group:         Development/Libraries/C and C++
License:       GPL-2.0
Url:           http://cunit.sourceforge.net/
BuildRequires: autoconf, automake, libtool, ncurses-devel pkg-config

# The 2.1.2 tarball has a lot of files missing and is therefore quite broken.
# Pulled a new copy from svn.
#Svn-Clone:	https://cunit.svn.sourceforge.net/svnroot/cunit/trunk
Source:        CUnit-2.1.2+svn139.tar.bz2
Patch1:		cunit-link-ncurses.diff
BuildRoot:     %{_tmppath}/%{name}-%{version}-build

%description
CUnit is a unit testing framework for C.
This package installs the CUnit static library,
headers, and documentation files.


%package devel
Summary:       CUnit development files
Group:         Development/Libraries/C and C++
Requires:      ncurses-devel
Requires:      libcunit1 = %{version}
Requires:      pkg-config
Recommends:    %{name}-doc = %{version}

%description devel
CUnit is a unit testing framework for C.
This package installs the CUnit development files.

%package devel-static
Summary:       CUnit static development files
Group:         Development/Libraries/C and C++
Requires:      %{name}-devel = %{version}

%description devel-static
CUnit is a unit testing framework for C.
This package installs the CUnit static files.

%package doc
Summary:       CUnit documentation
Group:         Documentation/Man
Requires:      libcunit1 = %{version}

%description doc
CUnit is a unit testing framework for C.
This package installs the CUnit
documentation files.

%package -n libcunit1
Summary:       CUnit shared library
Group:         Development/Libraries/C and C++

%description  -n libcunit1
CUnit is a unit testing framework for C.
This package installs the CUnit shared library.

%prep
%setup -qn cunit
%patch -P 1 -p1
chmod -x AUTHORS ChangeLog COPYING NEWS README TODO doc/*.html doc/*.css

%build
autoreconf -fi
%configure \
  --enable-automated \
  --enable-basic \
  --enable-console \
  --enable-curses \
  --enable-examples \
  --enable-test
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
%__rm %{buildroot}%{_libdir}/*.la
%__rm -rf %{buildroot}%{_prefix}/doc
# arch dependent files
%__mkdir_p %{buildroot}%{_libdir}/CUnit/
%__mv %{buildroot}%{_datadir}/CUnit/Examples/ %{buildroot}%{_libdir}/CUnit/
%__mv %{buildroot}%{_datadir}/CUnit/Test/     %{buildroot}%{_libdir}/CUnit/
chmod -x doc/headers/*
rm doc/headers/Makefile*
rm doc/headers/Jamfile*
rm doc/Makefile*
rm doc/Jamfile*

%post -n libcunit1 -p /sbin/ldconfig

%postun -n libcunit1 -p /sbin/ldconfig

%files -n libcunit1
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/libcunit.so.1
%{_libdir}/libcunit.so.1.0.1

%files doc
%defattr(-,root,root,-)
%doc doc/*
%dir %{_datadir}/CUnit
%{_datadir}/CUnit/*
%{_mandir}/man3/CUnit.3.gz

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/CUnit
%{_includedir}/CUnit/*
%dir %{_libdir}/CUnit
%{_libdir}/CUnit/*
%{_libdir}/libcunit.so
%{_libdir}/pkgconfig/cunit.pc

%files devel-static
%defattr(-,root,root,-)
%{_libdir}/libcunit.a

%changelog
* Thu Feb  9 2012 jengelh@medozas.de
- Update to new upstream release 2.1.2
  * modified dtd and xsl files to support inactive suites/tests
  * Added ability to deactivate suite/tests dynamically
  * Removed constraint that suite/test names be unique
- Remove redundant tags/sections
- Parallel build with %%_smp_mflags
- Add autotools BuildRequires for factory/12.2
- Fix use of implicitly defined function in source
  (do not declare that post-build-checks's output was wrong)
- Add missing DT_NEEDED entry on ncurses
* Tue Jun  8 2010 andrea@opensuse.org
- fixed 'no-pkg-config-provides'
* Wed Apr 21 2010 prusnak@suse.cz
- cleaned up spec, split devel-static subpackage
* Sat Mar 13 2010 andrea@opensuse.org
- added CUnit-2.1-pkgconfig.patch to provide cunit.pc
* Wed Mar  3 2010 andrea@opensuse.org
- split into 3 subpackages
* Tue Mar  2 2010 andrea@opensuse.org
- New package
